##This script was modified from https://gist.github.com/brentp/477969
"""
%prog some.fasta wanted-list.txt
"""
#Usage: python extract_sequences.py <input.fasta> <headers> <output>

from Bio import SeqIO
import sys
ID=(sys.argv[3])
wanted = [line.strip() for line in open(sys.argv[2])]
seqiter = SeqIO.parse(open(sys.argv[1]), 'fasta')
SeqIO.write((seq for seq in seqiter if seq.id in wanted), ID + '_single_cds.fasta', "fasta")
